Ergebnis 1 bis 4 von 4

Thema: ssl handshake failed

  1. #1
    Neuer Benutzer
    Registriert seit
    01.11.2018
    Beiträge
    2

    Standard ssl handshake failed

    Hallo Steuer-Experten,

    bei mir laeuft Elsterformular 19.1. Zur Gewerbesteuererklärung 2017 klickte ich auf die Erklae¤rung von 2016 und Daten nach 2017 uebernehmen. Das Programm versuchte eine Internetverbindung aufzubauen. Wie ich nachtraeglich ermittelte, war das Gewerbesteuermodul 2017 noch nicht installiert. Ich erlaubte die Internetverbindung (in VirtualBox) beim Verbindungsversuch.

    Es trat folgende Fehlermeldung im Update-Fenster auf:
    Die Verbindung zum Update-Server konnte nicht aufgebaut werden.
    Ursache: SSL handshake failed
    Eine Installation oder Aktualisierung ist unter diesen Umstaenden nicht moeglich!

    Bisher funktionierte ein Update immer problemlos (allerdings i.d.R. beim Programmstart). Ich habe das Programm beendet und wieder neu gestartet. Ich habe die Virtuelle Maschine beendet und neu gestartet.

    Ich habe die Internetverbindung mit Firefox geprueft und sie war immer ok.

    Nun meine Frage:
    Wird vom Update-Server nun ein SSL-Protokoll eingesetzt, dass nur noch ab Windows 7 oder hoeher unterstuetzt wird?

    Bei mir laeuft noch ein ressourcensparendes XP in der VM. Ich weiß, dass dieses offiziell nicht mehr unterstützt wird, aber bei Problemen ist man seitens Elsterformular weiterhin um Hilfestellung bemueht:
    https://www.elster.de/eportal/helpGl...eop#elfo_winxp

  2. #2
    Erfahrener Benutzer
    Registriert seit
    19.01.2009
    Beiträge
    8.056

    Standard AW: ssl handshake failed

    Hallo ohnesteuer,

    probiere es mal nicht über Updatefunktion, sondern über komplett Download von hier ->https://www.elster.de/eportal/infoseite/elsterformular

    Aktuell ist Elsterformular Version 19.5., könnte sein, dass sich das Update schwertut, weil dir zwischendrin ein paar Versionen fehlen.

    Tschüß
    Geändert von holzgoe (01.11.2018 um 13:51 Uhr) Grund: Ergänzung

  3. #3
    Benutzer
    Registriert seit
    08.01.2006
    Ort
    Nürnberg
    Beiträge
    55

    Standard AW: ssl handshake failed

    Zitat Zitat von ohnesteuer Beitrag anzeigen
    Wird vom Update-Server nun ein SSL-Protokoll eingesetzt, dass nur noch ab Windows 7 oder hoeher unterstuetzt wird? Bei mir laeuft noch ein ressourcensparendes XP in der VM.
    Das nicht, aber ElsterFormular nutzt zum Übermitteln die ERiC-Bibliothek, und deren DLLs sind in der aktuellen Version nicht mehr mit SHA-1, sondern mit SHA-256 signiert, und das kann XP (und Vista) nicht mehr laden (und Windows 7 auch nur dann, wenn alle Windows-Updates installiert sind). Steuererklärungen übermitteln könnte man damit also sowieso nicht mehr.

    Wenn diese Update-Funktion auch mit SHA-256-signierten DLLs funktioniert, kann XP die nicht mehr laden (und demzufolge auch keine Verbindung herstellen).

    Die Informationen auf der zitierten ELSTER-Website (dass ElsterFormular mit XP noch geht) könnten daher inzwischen veraltet sein (wenn ElsterFormular den aktuellen ERiC verwendet, was inzwischen sogar Pflicht sein dürfte, weil sonst die Annahmeserver streiken).

    Ein 17 Jahre altes (und nicht mehr updatebares) Betriebssystem taucht halt nun so langsam wohl doch nix mehr...

  4. #4
    Neuer Benutzer
    Registriert seit
    01.11.2018
    Beiträge
    2

    Standard AW: ssl handshake failed

    Zitat Zitat von mhanft Beitrag anzeigen
    Die Informationen auf der zitierten ELSTER-Website (dass ElsterFormular mit XP noch geht) könnten daher inzwischen veraltet sein (wenn ElsterFormular den aktuellen ERiC verwendet, was inzwischen sogar Pflicht sein dürfte, weil sonst die Annahmeserver streiken).
    Danke! Dies erspart mir weitere zeitraubende Versuche mit XP und ...

    Zitat Zitat von mhanft Beitrag anzeigen
    Ein 17 Jahre altes (und nicht mehr updatebares) Betriebssystem taucht halt nun so langsam wohl doch nix mehr...
    ich kann nun meine Zeit für den Elster-Umzug von XP auf Windows 10 verwenden.

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •